{% extends 'profile/layouts/frontend/base.html' %}
{% load humanize %}
{% load static %}
{% block main %}
<div class="image_bg--single" style="background-image: url('{{image.image.url}}');"></div>
<div class="page_content single-page tour-single">
    <div class="content-head">
        <div class="wrap">
            <div class="wrap_float">
                <div class="main">
                    <div class="section-top single-row">
                        <div class="single-left">
                            
                            <h1 class="title">
                               Cara Bayar
                            </h1>
                            <p style="color:white;">
                                {{highlight.keterangan}}
                            </p>
                        </div>
                        <div class="single-right controls">
                            <a class="btn" href="https://wa.me/{{ wa.keterangan }}?text={{ text.keterangan|urlencode }}"><span>Hubungi Kami</span></a>
                        </div>
                    </div>
                    <div class="description single-row">
                       <div class="single-left">
                           <p>
                            {{deskripsi.keterangan}}   
                            </p>
                       </div>
                       <div class="single-right">
                           <div class="map-iframe">
                            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3951.850618428224!2d110.30611037492113!3d-7.910669292112603!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2e7affa5b0b7ae15%3A0x9f093e9e134dd31d!2sA%20n%20A%20Putra%20Makmur%20Group!5e0!3m2!1sen!2sid!4v1683098006471!5m2!1sen!2sid"></iframe>
                           </div>
                       </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-body">
        <div class="wrap">
            <div class="wrap_float">
                <div class="single-left">
                    <div class="single-content page--content details">
                        <h2>Metode Pembayaran</h2>
                        <p>
                            Metode pembayaran yogyaexplore.com untuk pemesanan paket yaitu dengan transfer bank sebegai berikut:
                        </p>
                        <div class="list-block">
                            <ul class="true">
                                <li>Bank {{bank.keterangan}}</li>
                                <li>NO REKENING : 1455956506</li>
                                <li>A/N BONAVENTURA SUJIANTOKO</li>
                            </ul>
                        </div>
                        
                        <div class="program">
                            <h2>F.A.Q - Pertanyaan Yang Sering Ditanyakan!</h2>
                            <div class="program-days">
                                {% for x in faq %}
                                    <div class="day-item">
                                        <div class="day-head">
                                            <div class="day-icon">
                                                <img src="{% static 'frontend/img/nap4.jpg' %}" alt="" class="image-cover">
                                            </div>
                                            <div class="day-num">{{x.highlight}}</div>
                                            <div class="day-title">{{x.pertanyaan}}</div>
                                        </div>
                                        <div class="day-body">
                                            <div class="apartment-item">
                                                <div class="apartment-content">
                                                    <p>
                                                        {{x.jawaban}}
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                       
                    </div>

                    <div class="related_tours" id="end-single-content">
                        <div class="_title">
                            Paket City Tour Terpopuler
                        </div>
                        <div class="most_popular__section">
                            {% for x in popular %}
                                <a href="{% url 'profile:detail_paket' x.id %}" class="slider_item" style="background-image: url({{x.foto.url}})">
                                    <div class="slider_item__content">
                                        <div class="rating">
                                            <div class="stars">
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                            </div>
                                            
                                        </div>
                                        <div class="title">
                                            {{x.judul}} | {% if x.diskon %} <span class="harga">{{x.diskon}}</span> {% else %} <span class="harga">{{x.harga}}</span> {% endif %}
                                        </div>
                                        <!-- <div class="days">
                                            <span>1 days</span>
                                        </div> -->
                                    </div>
                                </a>
                            {% endfor %}
                           
                       </div>
                    </div>
                 
                </div>
                {% if terlaris.id %}
                <div class="single-right">
                    <div class="single-sidebar">
                        <div class="tour--info" onclick="redirectToDetailPage()">
                            <div class="top" style="background-image: url({{terlaris.foto.url}});">
                                <div class="tags">
                                    <div class="tag discount">Terfavorit</div>
                                    
                                </div>
                                <div class="flex-bottom">
                                    <div class="rating">
                                       <div class="stars">
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                       </div>
                                      
                                    </div>
                                    <div class="_title">Trip Pantai Gunung Kidul</div>
                                    
                                </div>
                            </div>
                            <div class="bottom">
                                <div class="cost">
                                    <div class="new-cost">Rp. {{terlaris.diskon|floatformat:0|intcomma}}</div>
                                    <div class="old-cost">Rp. {{terlaris.harga|floatformat:0|intcomma}}</div>
                                </div>
                                <a href="https://wa.me/{{wa.keterangan}}?text={{text.keterangan}}" class="btn">
                                    Pesan Sekarang
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
    <div class="mobile-fixed-bottom getModal" data-href="#book-now">
        Book now
    </div>
</div>
{% endblock main %}
{% block scripts %}
<script>
    var prices = document.querySelectorAll('.harga');

    for (var i = 0; i < prices.length; i++) {
        var price = prices[i].innerHTML;
        price = parseFloat(price).toFixed(0);
        if(price >= 1000){
            price = (price/1000)+'K';
        }
        prices[i].innerHTML = price;
    }
    
    function redirectToDetailPage() {
        {% if terlaris and terlaris.id %}
            window.location.href = "{% url 'profile:detail_paket' terlaris.id %}";
        {% endif %}
    }
</script>
{% endblock %}